
/*
2000 Microsoft Corporation. All Rights Reserved
*/

var plPane  = 0;
var infoPane =1;
var eqPane  = 2;
var vidPane = 3;
var visPane = 4;
var currentPane = 4;

var vidIsRunning = false;


function Init()
{
    pl.setColumnResizeMode(0, "Stretches");
    pl.setColumnResizeMode(1, "AutoSizeData");

    OnOpenStateChange();
    OnPlayStateChange();
    if(vidIsRunning)
    {
        SetVisibility(vidPane);
    }
}

function OnOpenStateChange()
{
    if(player.OpenState == osMediaOpen)
    {
        vidIsRunning =
            (player.currentMedia.ImageSourceWidth>0);
        UpdateMetadata();
        bClose.enabled = !vidIsRunning;
        // makes bClose show up when switching from video to audio
    }
}

function OnClose()
{
    mediacenter.effectType = visEffects.currentEffectType;
    mediacenter.effectPreset = visEffects.currentPreset;
}

function OnPlayStateChange()
{
    visEffects.visible = !vidIsRunning &&
        (player.playstate == psPlaying ||
         player.playstate == psPaused);
}



function StartVideo()
{
    vidIsRunning = true;
    SetVisibility(vidPane);
}

function EndVideo()
{
    vidIsRunning = false;
    if(currentPane == vidPane)
    {
        SetVisibility(visPane);
    }
}

function SetVisibility(newPane)
{
    bVisToggle.enabled = true;

    switch(newPane)
    {
    case plPane:
		sPlView.visible = 
        pl.visible = true;
        sEq.visible =
            vid.visible =
            visEffects.visible =
			bgToggleInfo.down =
            bgToggleEq.down = false;
        bVisToggle.upToolTip =
            bgTogglePl.downToolTip = vidIsRunning ?
                xVideoTt.toolTip : xVisTt.toolTip;
        break;
		
		
    case infoPane:
        sInfo.visible = true;
		sEq.visible =
        pl.visible =
			sPlView.visible =
            vid.visible =
            visEffects.visible =
			bgToggleEq.down
            bgTogglePl.down = false;
        bVisToggle.upToolTip =
            bgToggleInfo.downToolTip = vidIsRunning ?
                xVideoTt.toolTip : xVisTt.toolTip;
        
        break;

    case eqPane:
        sEq.visible = true;
        pl.visible =
			sInfo.visible =
            sPlView.visible =
            vid.visible =
            visEffects.visible =
			bgToggleInfo.down =
            bgTogglePl.down = false;
        bVisToggle.upToolTip =
            bgToggleEq.downToolTip = vidIsRunning ?
                xVideoTt.toolTip : xVisTt.toolTip;
        
        break;

    case vidPane:
        vid.visible = true;
        pl.visible =
            sPlView.visible =
            sEq.visible =
			sInfo.visible =
            visEffects.visible =    
            bgTogglePl.down =
            bgToggleEq.down = false;
        bVisToggle.upToolTip = "";
        bgToggleEq.downToolTip =
            bgTogglePl.downToolTip = xVideoTt.toolTip;
        bVisToggle.enabled = false;
        break;

    case visPane:
        visEffects.visible = true;
		sInfo.visible =
        pl.visible =
            sPlView.visible =
            sEq.visible =
            vid.visible =
            bgTogglePl.down =
            bgToggleEq.down = false;
        bVisToggle.upToolTip = xVisTt.value;
        bgToggleEq.downToolTip =
            bgTogglePl.downToolTip = xVisTt.toolTip;
        break;
    }

    currentPane = newPane;
}


function ToggleVis()
{
    SetVisibility( (currentPane==visPane) ?
        (vidIsRunning ? vidPane : visPane)
        : visPane );
}
function TogglePlaylist()
{
    SetVisibility( (currentPane==plPane) ?
        (vidIsRunning ? vidPane : visPane)
        : plPane );
}

function ToggleInfo()
{
    SetVisibility( (currentPane==infoPane) ?
        (vidIsRunning ? vidPane : visPane)
        : infoPane );
}

function ToggleEq()
{
    SetVisibility( (currentPane==eqPane) ?
        (vidIsRunning ? vidPane : visPane)
        : eqPane );
}


function VisClick()
{
    if(currentPane == visPane)
    {
        visEffects.next();
    }
    else
    {
        SetVisibility(vidIsRunning ?
            vidPane : visPane);
    }
}

function VisClick2()
{
    if(currentPane == visPane)
    {
        visEffects.next();
    }
    else
    {
        SetVisibility(vidIsRunning ?
            vidPane : visPane);
    }
}

 function getMetaData(mediaobject)
 {
     var temptext="metadata\r----------";
     var attributename;
     for (var i=0; i<mediaobject.attributeCount;i++)
     {
     attributename=mediaobject.getAttributeName(i);
     temptext+="\r" + attributename + ": " +
     mediaobject.getItemInfo(attributename);
     }
     return temptext;
 }
function UpdateMetadata()
{
    artist.value =
        player.currentmedia.getiteminfo("author");
}